Last Comment Bug 464713 - Upgrade Bugzilla to 3.2rc2+ and pick up additional local customizations
: Upgrade Bugzilla to 3.2rc2+ and pick up additional local customizations
Status: RESOLVED FIXED
completed Tues 11/18 6:35pm PDT
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Dave Miller [:justdave] (justdave@bugzilla.org)
: matthew zeier [:mrz]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 09:11 PST by Dave Miller [:justdave] (justdave@bugzilla.org)
Modified: 2015-03-12 08:17 PDT (History)
18 users (show)
justdave: needs‑downtime+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Dave Miller [:justdave] (justdave@bugzilla.org) 2008-11-13 09:11:53 PST
We have a new code drop to deploy for Bugzilla with a bunch of additional customizations that were commissioned by Mozilla.

Details forthcoming.
Comment 1 Reed Loden [:reed] (use needinfo?) 2008-11-13 09:16:55 PST
Can we at least do some QA first before pushing this live? Way too many regressions in the past.
Comment 2 Dave Miller [:justdave] (justdave@bugzilla.org) 2008-11-13 11:01:37 PST
The upstream changes being picked up:

http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=Bugzilla&branch=BUGZILLA-3_2-BRANCH&branchtype=match&sortby=Date&date=explicit&mindate=2008-09-16+01%3A54%3A44&maxdate=2008-11-17+00%3A00%3A00

Mozilla-commissioned local changes:

* Bug 452809: Put the status whiteboard and keywords in the Status block
on show_bug.cgi
* Bug 452824: Fix complaint about URL/status whiteboard fields being shorter than before (too short)
* Bug 453267: Fix complaint about Navigation links (First/Last/Prev/Next) no longer being available at the top of show_bug.cgi
* Bug 454134: Fix complaint about data: and javascript: URLs in the URL field no longer causing "URL:" to become a link
* "Fixed In" field for Attachments
* Ability for users to block themselves from receiving specific types of flag requests from their preferences
* "Patch" column for buglist.cgi
* Password lock-out after too many failures
* Allow users to upload a public GPG/PGP key
* Allow groups to be configured to require bugmail about bugs in those groups to be encrypted with the above key.  Users who haven't uploaded a key will only receive a generic change notification with a link to the bug

* "Bug ID" fields
* From/To Relationships for Bug ID Fields

^^ The above two are custom field types. Someone convinced Justin to get them included, but neither I nor Justin know what their intended purpose was, so nothing will be visible in the UI until someone tells us what they were meant for so we can create actual fields using those types.
Comment 3 Dave Miller [:justdave] (justdave@bugzilla.org) 2008-11-13 11:02:42 PST
(In reply to comment #1)
> Can we at least do some QA first before pushing this live? Way too many
> regressions in the past.

The entire point of filing this bug. :)  Announcements are going out today and I'll add a link at the top of Bugzilla, too.
Comment 4 Dave Miller [:justdave] (justdave@bugzilla.org) 2008-11-13 11:09:37 PST
The Mozilla-commissioned changes are now live on https://bugzilla-stage-tip.mozilla.org/

The upstream merge hasn't happened yet.

Email is getting written to a file instead of mailed to avoid confusing people since it's running a copy of the production data.  If you want to see how your mail turned out, find me on IRC and ask and I'll snag a copy of it and forward it to you.

All 5 security groups have bugmail encryption enabled.  When we go to production I will probably wait at least a few days (maybe a week) before enabling encryption to give people a chance to upload keys.
Comment 5 Dave Miller [:justdave] (justdave@bugzilla.org) 2008-11-13 13:39:07 PST
OK, upstream 3.2 merge has been pushed.
Comment 6 timeless 2008-11-13 14:59:51 PST
is there useful help documenting how to use pgp or whatever from gmail?
Comment 7 Tyler Downer [:Tyler] 2008-11-13 15:00:18 PST
Maybe the link at the top of Bugzilla could be made an actual hyperlink, and not just plain text. It would remove an extra step in getting to this bug.
Comment 8 Dan Mosedale (:dmose) 2008-11-13 15:11:43 PST
Thunderbird is planning a code freeze on Tuesday night.  Any chance of picking a different day for this?
Comment 9 Samuel Sidler (old account; do not CC) 2008-11-13 15:33:53 PST
(In reply to comment #4)
> The Mozilla-commissioned changes are now live on
> https://bugzilla-stage-tip.mozilla.org/

Is this supposed to work now? I get db errors when trying to login and when simply viewing the home page.
Comment 10 Henrik Skupin (:whimboo) 2008-11-13 15:37:58 PST
Same happens here during a login. Following error is shown:

Software error:

Undefined subroutine &Bugzilla::DB::Mysql::sql_istring called at /var/www/webapps/bugzilla/Bugzilla/DB.pm line 307.

For help, please send mail to the webmaster (root@localhost), giving this error message and the time and date of the error.
Comment 11 Samuel Sidler (old account; do not CC) 2008-11-13 15:42:45 PST
(In reply to comment #10)
> For help, please send mail to the webmaster (root@localhost), giving this error
> message and the time and date of the error.

I emailed root@localhost, but I don't have faith (s)he'll reply. :(
Comment 12 Dave Miller [:justdave] (justdave@bugzilla.org) 2008-11-13 16:20:29 PST
I fail.  Forgot to restart the webserver to pick up the changes after I pushed the last code update.  It's been restarted now and seems to be working.

(In reply to comment #7)
> Maybe the link at the top of Bugzilla could be made an actual hyperlink, and
> not just plain text. It would remove an extra step in getting to this bug.

That's actually on purpose.  If I make it a hyperlink we'll wind up with a ton of people reporting firefox bugs in the comments on this bug. :)  (Just look at any of the previous upgrade bugs).  By making you find the bug yourself it makes the barrier of entry high enough that the people who would be confused like that hopefully won't get confused.
Comment 13 Dave Miller [:justdave] (justdave@bugzilla.org) 2008-11-13 16:22:30 PST
(In reply to comment #8)
> Thunderbird is planning a code freeze on Tuesday night.  Any chance of picking
> a different day for this?

Are you worried about downtime or breakage?  I expect downtime to be under 30 seconds.  Preventing breakage is the reason for having people poke at the staging server this far in advance.

I can back it off to Thursday if it's going to be a big issue though.
Comment 14 Smokey Ardisson (offline for a while; not following bugs - do not email) 2008-11-13 20:58:09 PST
I see on bugzilla-stage-tip that there are little bmo site icon images next to some MoCo Firefox developers in the comments, using this little HTML snippet: 

<img src="https://bugzilla-stage-tip.mozilla.org/skins/custom/images/bugzilla.png"
               alt="fx-team"
               title="fx-team - MoCo Firefox team (internal group for tracking)">

The thread about adding group icons was quite a while ago (I can't find it readily) and concluded without a decision, as far as I can recall; was a decision made somewhere else?
Comment 15 Dave Miller [:justdave] (justdave@bugzilla.org) 2008-11-14 01:08:38 PST
That's probably because the staging site is running an old copy of the database that was made about the same time all that discussion was going on.  I'll see if I can get a new snapshot pushed tomorrow and that'll go away.
Comment 16 Gervase Markham [:gerv] 2008-11-14 03:29:40 PST
I sent this mail to reed a while ago, but his Bugzilla account now suggests he's away. Any chance of getting any of the following bugs while we are at it?

"When might it be possible to get the following patches applied?

Add "View as buglist" link to b.m.o. requests page
https://bugzilla.mozilla.org/show_bug.cgi?id=453436
-- This one would be very useful indeed for our work in trying to do something about stale reviews.

Differentiate in headers (X-Bugzilla-Type) between new and changed mail
https://bugzilla.mozilla.org/show_bug.cgi?id=453792
-- I think bz particularly wanted this.

Install the new "please wait" screen
https://bugzilla.mozilla.org/show_bug.cgi?id=438362
-- This one, I want :-)

Style security bugs to give them a distinctive look
https://bugzilla.mozilla.org/show_bug.cgi?id=453086
"

Gerv
Comment 17 Max Kanat-Alexander 2008-11-14 10:22:50 PST
(In reply to comment #13)
> I expect downtime to be under 30 seconds.

  You know there are DB changes, right?
Comment 18 Tyler Downer [:Tyler] 2008-11-14 14:48:42 PST
(In reply to comment #12)
> That's actually on purpose.  If I make it a hyperlink we'll wind up with a ton
> of people reporting firefox bugs in the comments on this bug. :)  (Just look at
> any of the previous upgrade bugs).  By making you find the bug yourself it
> makes the barrier of entry high enough that the people who would be confused
> like that hopefully won't get confused.

I completely understand. That does make sense, I will live with typing this in.
Comment 19 Dave Miller [:justdave] (justdave@bugzilla.org) 2008-11-14 18:41:29 PST
(In reply to comment #17)
> (In reply to comment #13)
> > I expect downtime to be under 30 seconds.
> 
>   You know there are DB changes, right?

Yep, and they took about 20 seconds to run on the staging server when I upgraded it.  Surprised me, too.  Most of the schema changes are new tables, which are almost instantaneous.  There's a new column in the groups table (which is a small table).  The only change to a big table was adding the gpg key field to the profiles table, and presumably since the key field is a blob, and innodb has off-page blob storage, it doesn't have to completely rewrite the table, just fix the definition.
Comment 20 Max Kanat-Alexander 2008-11-14 19:39:32 PST
(In reply to comment #19)
> Yep, and they took about 20 seconds to run on the staging server when I
> upgraded it.  Surprised me, too. [snip]

  Oh, okay! :-) Sounds good. :-)
Comment 21 Simon Bünzli 2008-11-16 14:41:43 PST
(In reply to comment #18)
> I will live with typing this in.

FYI: Double-click the bug number, drag the selection to the search field at the top of the page and hit find. That'll immediately take you to this bug.
Comment 22 Dan Mosedale (:dmose) 2008-11-18 12:21:53 PST
(In reply to comment #13)
> (In reply to comment #8)
> > Thunderbird is planning a code freeze on Tuesday night.  Any chance of picking
> > a different day for this?
> 
> Are you worried about downtime or breakage?  I expect downtime to be under 30
> seconds.  Preventing breakage is the reason for having people poke at the
> staging server this far in advance.

We have postponed the freeze; so this is no longer an issue.
Comment 23 Dave Townsend [:mossop] 2008-11-19 07:20:53 PST
Is there a bug filed tracking regressions from this update?
Comment 24 Reed Loden [:reed] (use needinfo?) 2008-11-19 07:47:21 PST
(In reply to comment #23)
> Is there a bug filed tracking regressions from this update?

Yes, bug 465690.

Note You need to log in before you can comment on or make changes to this bug.